limits File Reference

Go to the source code of this file.

## Classes

struct | std::__numeric_limits_base
struct | std::numeric_limits< _Tp >
struct | std::numeric_limits< bool >
struct | std::numeric_limits< char >
struct | std::numeric_limits< char16_t >
struct | std::numeric_limits< char32_t >
struct | std::numeric_limits< double >
struct | std::numeric_limits< float >
struct | std::numeric_limits< int >
struct | std::numeric_limits< long >
struct | std::numeric_limits< long double >
struct | std::numeric_limits< long long >
struct | std::numeric_limits< short >
struct | std::numeric_limits< signed char >
struct | std::numeric_limits< unsigned char >
struct | std::numeric_limits< unsigned int >
struct | std::numeric_limits< unsigned long >
struct | std::numeric_limits< unsigned long long >
struct | std::numeric_limits< unsigned short >
struct | std::numeric_limits< wchar_t >

## Namespaces

| std

## Macros

#define | __glibcxx_digits(T)
#define | __glibcxx_digits10(T)
#define | __glibcxx_digits10_b(T, B)
#define | __glibcxx_digits_b(T, B)
#define | __glibcxx_double_has_denorm_loss
#define | __glibcxx_double_tinyness_before
#define | __glibcxx_double_traps
#define | __glibcxx_float_has_denorm_loss
#define | __glibcxx_float_tinyness_before
#define | __glibcxx_float_traps
#define | __glibcxx_integral_traps
#define | __glibcxx_long_double_has_denorm_loss
#define | __glibcxx_long_double_tinyness_before
#define | __glibcxx_long_double_traps
#define | __glibcxx_max(T)
#define | __glibcxx_max_b(T, B)
#define | __glibcxx_max_digits10(T)
#define | __glibcxx_min(T)
#define | __glibcxx_min_b(T, B)
#define | __glibcxx_signed(T)
#define | __glibcxx_signed_b(T, B)
#define | __INT_N(TYPE, BITSIZE, EXT, UEXT)
#define | __INT_N_201103(TYPE)
#define | __INT_N_U201103(TYPE)
#define | _GLIBCXX_NUMERIC_LIMITS

## Enumerations

enum | std::float_denorm_style { std::denorm_indeterminate, std::denorm_absent, std::denorm_present }
enum | std::float_round_style { round_indeterminate, std::round_toward_zero, std::round_to_nearest, std::round_toward_infinity, std::round_toward_neg_infinity }

## Detailed Description

This is a Standard C++ Library header.

Definition in file limits.